Subject: bug#10728: lgrep fails with certain entries in grep-files-aliases

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Feb 2012 23:08:33 +0200

> Date: Sat, 04 Feb 2012 13:40:21 -0700
> From: Christoph Scholtes <[email-masked]>
> 
> The documentation of grep-files-aliases says:
> *Alist for the FILES argument to `lgrep' and `rgrep'.
> 
> Certain aliases in that list do not work with lgrep.
> 
> For example, `cc' works fine with rgrep, but fails with lgrep with the 
> following recipe:
> 
> emacs -Q
> M-x lgrep
> Search for: main
> in files: cc
> In directory: ~/devel/emacs/trunk/src/
> 
> Result:
> 
> -*- mode: grep; default-directory: "~/devel/emacs/trunk/src/" -*-
> Grep started at Sat Feb  4 13:37:18
> 
> grep  --exclude=.\#\* --exclude=\*.o --exclude=\*\~ --exclude=\*.bin 
> --exclude=\*.lbin --exclude=\*.so --exclude=\*.a --exclude=\*.ln 
> --exclude=\*.blg --exclude=\*.bbl --exclude=\*.elc --exclude=\*.lof 
> --exclude=\*.glo --exclude=\*.idx --exclude=\*.lot --exclude=\*.fmt 
> --exclude=\*.tfm --exclude=\*.class --exclude=\*.fas --exclude=\*.lib 
> --exclude=\*.mem --exclude=\*.x86f --exclude=\*.sparcf --exclude=\*.dfsl 
> --exclude=\*.pfsl --exclude=\*.d64fsl --exclude=\*.p64fsl 
> --exclude=\*.lx64fsl --exclude=\*.lx32fsl --exclude=\*.dx64fsl 
> --exclude=\*.dx32fsl --exclude=\*.fx64fsl --exclude=\*.fx32fsl 
> --exclude=\*.sx64fsl --exclude=\*.sx32fsl --exclude=\*.wx64fsl 
> --exclude=\*.wx32fsl --exclude=\*.fasl --exclude=\*.ufsl 
> --exclude=\*.fsl --exclude=\*.dxl --exclude=\*.lo --exclude=\*.la 
> --exclude=\*.gmo --exclude=\*.mo --exclude=\*.toc --exclude=\*.aux 
> --exclude=\*.cp --exclude=\*.fn --exclude=\*.ky --exclude=\*.pg 
> --exclude=\*.tp --exclude=\*.vr --exclude=\*.cps --exclude=\*.fns 
> --exclude=\*.kys --exclude=\*.pgs --exclude=\*.tps --exclude=\*.vrs 
> --exclude=\*.pyc --exclude=\*.pyo -i -nH -e main *.cc *.cxx *.cpp *.C 
> *.CC *.c++
> grep: *.cc: No such file or directory
> grep: *.cxx: No such file or directory
> grep: *.cpp: No such file or directory
> grep: *.C: No such file or directory
> grep: *.CC: No such file or directory
> grep: *.c++: No such file or directory

Why do you think this is a "failure"?  There indeed are no files
matching these widlcards in the Emacs's src directory.